Subject: Re: Singer with pregnant friend need help!!

From: [email-masked]
Date: Sat, 27 Jan 96 21:07:53 -0500

Hello from a former Dallas-Ft. Worther...
To answer your question about where in the DFW area to get herbs, I used
to deal with a mail-order company called Years to Your Health, in Irving.
They sell bulk herbs of every sort, capsules to package them yourself, and
other interesting products and literature. The last time I dealt with them
was a few years ago, but they had just relocated to a larger facility and
were still going strong. Their prices were very reasonable. Also sold bulk
spices of every sort. My dealings with them were by mail, however I believe
they are a "walk-in" store as well. Good Luck!
 
Sue Ladish
[email-masked]